#### <font color = "MediumSeaGreen">Задачи:</font>
1. Интегрировать поддержку 3ф ИБП в контроллер 6709mts и 6712 (с внешним датчиком температуры и влажности) для поставки в МТС.
	[[Galleon II Galleon III 3 phase V02.pdf]]
	[[Galleon II-33-10K-60K-Rack_DS.PDF]]
	[[Galleon II 3phase 10-40K UM.PDF]]
2.   Интегрировать поддержку ИБП нового типа для Билайн в контроллеры 6709 или 6711v1. Протокол базируется на стандартном Megateс.
	[[MEGA 通讯协议.pdf]]
<h4>6711</h4> 
1. **Задача:** Убрать добавление “v1” к модели ИБП.
	**Вопрос:** Где "v1" в модели ИБП 6711?
	**Комментарий:** v1 именно в модели ИБП
	- [ ] Выполнено
	**Заметки:**  Пока не нашел где это происходит.
<h4>6711 и 6711v1</h4> 
1. **Задача:** Сбрасывать ошибку 13, сейчас сбрасываются 12 и 41. Ошибка 13 возникает в момент перегрева.

	**Вопрос:** Как реагировать на ошибку 0x13. Не вижу, чтобы сейчас она отслеживалась.
	
	**Комментарий:** Добавил условие "или" в функцию UPS_OverTempratureMonitor. Добавить в вызов функции в 6711.
	
	- [x] Выполнено	
	
2. **Задача:** После возникновения режима Fault проверять код ошибки. Выяснилось, что ИБП обновляет код ошибки. Необходимо переносить это изменение в журнал.

	**Вопрос:** Что такое режим Fault и как он определяется?
	
	**Комментарий:** Режим "Fault" отображается на главной странице веб. При переходе ИБП в этом режим контроллер должен отслеживать состояние ошибки (оно может изменяться) и при изменении фиксировать новое состояние ошибки в журнале.
	
	**Заметки:** 
	Правлю функцию:
	```c++
	void ups_mode_response(char *data)
	```
	Пока сделал тестовую версию.
	- [ ] Выполнено
	
3. **Задача:** Проверить работу RTC в високосный год, сейчас в журнале выглядит вот так:
	- [x] Выполнено

<h6>Итоги</h6>
1. В вопросу RTC исправил функцию:
```c++
void TM_RTC_GetDateTimeFromUnix(TM_RTC_t* data, uint32_t unix)
```
<h6>Вопросы</h6>
1. Где "v1" в модели ИБП 6711?
2.  Добавил условие "или" в функцию UPS_OverTempratureMonitor. Добавить в вызов функции в 6711.
3.  Что такое режим Fault и как он определяется?
#### <font color = "MediumSeaGreen">Общее:</font>
* Проект ==bt-67xx_universal_hw==
* IP устройства по умолчанию 192.168.0.254
* login/pas - admin/12345	
#### <font color = "MediumSeaGreen">Сборка/отладка:</font>
```
arm-none-eabi-gcc --version
arm-none-eabi-gcc (Sourcery CodeBench Lite 2013.05-23) 4.7.3

/home/dtelenkov/soft/tools/Sourcery_CodeBench_Lite_for_ARM_EABI/bin/arm-none-eabi
```
**Сборка:**
* Опция DEBUG=0 включает защиту flash памяти контроллера.
* Релиз выпускается с DEBUG=0
```bash
$ make HARDWARE=bt6711_v1 VERBOSE=1 DEBUG=1 PRINTF=custom MAC=EC-4C-4D-00-78-89 CROSS="/home/dtelenkov/soft/tools/Sourcery_CodeBench_Lite_for_ARM_EABI/bin/arm-none-eabi"
```
**Подключение:**
```bash
$ make openocd_ups
```
**Отладка:**
```bash
$ arm-none-eabi-gdb -x .gdbinit_bt6711_v1
```
**Снять защиту от чтения:**
```bash
openocd -f interface/stlink.cfg -f target/stm32f4x.cfg -c "init; reset halt; stm32f4x unlock 0; reset halt; exit"
```
